Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.core.model
Class OAuthConfiguration

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.oslc4j.core.model.OAuthConfiguration

All Implemented Interfaces:
  IExtendedResource, IResource

    public class OAuthConfiguration

extends AbstractResource

Constructor Summary
`OAuthConfiguration()`
`OAuthConfiguration(URI oauthRequestTokenURI, URI authorizationURI, URI oauthAccessTokenURI)`

Method Summary
`URI` | `getAuthorizationURI()`
`URI` | `getOauthAccessTokenURI()`
`URI` | `getOauthRequestTokenURI()`
`void` | `setAuthorizationURI(URI authorizationURI)`
`void` | `setOauthAccessTokenURI(URI oauthAccessTokenURI)`
`void` | `setOauthRequestTokenURI(URI oauthRequestTokenURI)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OAuthConfiguration

    public OAuthConfiguration()

### OAuthConfiguration

    public OAuthConfiguration(URI oauthRequestTokenURI,
                              URI authorizationURI,
                              URI oauthAccessTokenURI)

Method Detail

### getAuthorizationURI

    public URI getAuthorizationURI()

### getOauthAccessTokenURI

    public URI getOauthAccessTokenURI()

### getOauthRequestTokenURI

    public URI getOauthRequestTokenURI()

### setAuthorizationURI

    public void setAuthorizationURI(URI authorizationURI)

### setOauthAccessTokenURI

    public void setOauthAccessTokenURI(URI oauthAccessTokenURI)

### setOauthRequestTokenURI

    public void setOauthRequestTokenURI(URI oauthRequestTokenURI)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.